using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CLCarte
{
    public class CartaConContoCorrente : Carta
    {
        const double costoOperazione = 0.55;
        
        protected int ccRiferimento;

        public int CcRiferimento
        {
            get { return ccRiferimento; }
        }


        public CartaConContoCorrente()
        { }


        public CartaConContoCorrente(string nome, string cognome, int numero, int pin, double plafond, double costoApertura, int numeroOperazioneMese, double totaleSpeseMese, int contoCorrente)
            : base(nome, cognome, numero, pin, plafond, costoApertura, numeroOperazioneMese, totaleSpeseMese)
        {
            this.ccRiferimento = contoCorrente;
        }

        public override double SpeseGestione()
        {
            return base.SpeseGestione() + (base.numeroOperazioniMensili*costoOperazione);
        }


        public override string ToString()
        {
            return base.ToString()+"\nconto corrente: "+ccRiferimento;
        }

        
    }
}
